//Quelle, wie man Tabs nutzt: https://forum.processing.org/two/discussion/11353/structured-programming-with-tabs.html
class Hindernis{
  int startX;
  int spitzeX;
  int spitzeY;
  int wuerfelX;
  int wuerfelY;
  int geschwindigkeit;
  boolean ignorieren;
  
  Hindernis(int x){ //hat nur ein Argument, dem entsprechend startX, wuerfelX und spitzeX gesetzt werden
    startX = x;
    wuerfelX = startX;
    spitzeX = startX;
    ignorieren = false;
  }
  
  void spitze(int y){ //Spitze (Hindernis, von vorne & oben "tödlich")
    spitzeY = y; //y-Koordinate des Hindernisses
    strokeWeight(4);
    stroke(200);
    fill(175);
    triangle(spitzeX, spitzeY, spitzeX+30, spitzeY, spitzeX+15, spitzeY-50);
    spitzeX -= geschwindigkeit;
  }
  
  void wuerfel(int y){ //quadratisches Hindernis (von vorne oder unten tödlich, oben aber sicher)
    wuerfelY = y; //Festlegung der y-Koordinate des Würfels
    rectMode(CENTER);
    strokeWeight(2);
    stroke(200);
    fill(175);
    rect(wuerfelX, wuerfelY, 50, 50); 
    wuerfelX -= geschwindigkeit;
  }
  
  void ignorieren(){ //dass die Spielerfigur auf ein quadratisches Hindernis springen kann
    ignorieren = true;
  }
  
//Erkennung einer möglichen Kollision der Spielfigur...
  //... mit einem Zacken / einer Spitze
  int spitzeX1(){
    return spitzeX+5; //liefert die vordere Koordinate der Spitze 
  }
  int spitzeX2(){
    return spitzeX+75; //liefert die hintere Koordinate der Spitze 
  }
  int spitzeY1(){
    return spitzeY-50; //liefert die obere Koordinate der Spitze 
  }
  int spitzeY2(){
    return spitzeY; //liefert die untere Koordinate der Spitze 
  }
  
  //... mit einem Würfel (von der Seite und & unten tödlich)
  int wuerfelX1(){ //liefert die vordere Koordinate des Würfels  
    return wuerfelX-25;
  }
  int wuerfelX2(){ //liefert die hintere Koordinate des Würfels 
    return wuerfelX+75;
  }
  int wuerfelY1(){ //liefert die obere Koordinate des Würfels
    return wuerfelY-25;
  }
  int wuerfelY2(){ //liefert die untere Koordinate des Würfels
    return wuerfelY+25;
  }
  
  void bewegung(int geschwindigkeit1){ //bestimmt die Geschwindigkeit, mit der sich die Hindernisse entlang der x-Achse bewegen
    geschwindigkeit = geschwindigkeit1;
  }
}
