//Quelle, wie man Tabs nutzt: https://forum.processing.org/two/discussion/11353/structured-programming-with-tabs.html
class Player{
  int playerX; //x-Koordinate des Spielers
  int playerY; //y-Koordinate des Spielers
  int playerGroesse; //Grösse der Spielfigur bzw. des Würfels
  int startY; //y-Startkoordinate des Spielers, die verwendet wird, um zu bestimmen, wo sich der Boden befindet
  
  int gravitation = 6; //die Schwerkraft, die auf die Spielfigur wirkt
  
  boolean springen = false; //wird zum Auslösen eines Sprunges verwendet
  boolean nichtSpringend = true; //um zu bestimmen, wann der Spieler springen darf
  
  int sprungdauer = 0; //misst die Dauer eines Sprunges
  int sprungdauerLimit = 20; //das Limit bzw. das Maximum der Sprungdauer
  
  float sprungwinkel = 0; //der Winkel, um welchen sich die Spielfigur dreht
  float winkelzunahme = PI/20; //die Zunahme des Winkels während eines Sprunges
  
  Player(int x, int y, int groesse){ 
    playerX = x;
    playerY = y;
    playerGroesse = groesse;
    startY = y; //um festzustellen, wann die Gravitation "aktiv" ist
 }

 void sprung(){ //"Erlaubnis" zum Springen
    if(nichtSpringend){ //nur wenn sich der Spieler am Boden befindet = true
      springen = true; //setzt den Boolen auf true, was den Sprung in "physik()" auslöst
    }
 }

 void physik(){ //Würfelsprung: programmiert mit Unterstützung und Tipps eines Kollegen
    if(playerY < startY){ //wenn die y-Koordinate der Spielfigur kleiner ist als die y-Koordinate zu Beginn des Spiels, befindet sich der Spieler gerade in einem Sprung
      playerY += gravitation; //erhöht die y-Koordinate der Spielfigur um die Schwerkraft bzw. Gravitation
      nichtSpringend = false; //die Spielfigur befindet sich nicht mehr am Boden und verhindert so die Aktivierung von "sprung()"
    }
    else{
      nichtSpringend = true; //nur wenn der Spieler auf dem Boden ist, soll "sprung()" funktionieren
    }
    
    if(springen){
      playerY -= 12; //erhöht die y-Koordinate des Spielers, um einen Sprung zu simulieren
      sprungdauer += 1; //erhöht die Sprungdauer, die bestimmt, wann Sprung endet
    }
    if(sprungdauer >= sprungdauerLimit){ //wenn der Sprungzähler das Limit erreicht, endet der Sprung
      springen = false;
      sprungdauer = 0; //der Zähler wird zurückgesetzt
    }
    
    //springen
    if(!nichtSpringend){
      sprungwinkel += winkelzunahme; //erhöht den Sprungwinkel und aktiviert die Drehung in "anzeige()"
    }
    if(nichtSpringend){
      sprungwinkel = 0; //setzt den Sprungwinkel zurück, so dass die Spielfigur "gerade" auf dem Boden steht
    }
  }
  
  //Kollision mit Hindernissen 
  int X(){ 
    return playerX + playerGroesse/2; //liefert die Position der vorherigen Koordinate der Spielfigur
  }
  int Y(){
    return playerY + playerGroesse/2; //liefert die Position der unteren Koordinate der Spielfigur
 }

 void anzeige(){
    pushMatrix(); //Matrix zur Drehung der Spielfigur
    
    rectMode(CENTER); 
    translate(playerX, playerY); //setzt 0,0 in sich selbst ein, um eine korrekte Drehung zu erzeugen
    rotate(sprungwinkel); //dreht sich immer, ausser wenn der Sprungwinkel = 0 ist
    
    strokeWeight(2);
    stroke(22, 85, 60);
    fill(53, 240, 165);    
    stroke(0, 255, 225);
    fill(100, 255, 255);
    rect(0, 0, playerGroesse, playerGroesse);

    popMatrix(); //Matrix zur Drehung der Spielfigur
  }
}
