//Quelle, wie man Tabs nutzt: https://forum.processing.org/two/discussion/11353/structured-programming-with-tabs.html
Player spieler;
Hindernis[] hindernis = new Hindernis[300];

int timer = 0; //für die Punktezählung & Zeitmessung 
int versuche = 1; //Zähler der Anzahl Versuche
int highscore = 0; //Punktezähler für den Highscore
int fade = 0; //für das langsame Ausblenden, sobald der Spieler gewinnt

boolean gestartet = false;
boolean gestartet2 = false;

PImage foto1;
PImage foto2;
PImage foto3;

void setup(){
 size(1000, 600);
 frameRate(60);
 foto1 = loadImage("starthintergrund.jpg");
 foto2 = loadImage("regeln_hintergrund.jpg");
 foto3 = loadImage("sternenhimmel.jpg");
 spieler = new Player(150, 524, 50); //die y-Koordinate und die Grösse sollten unverändert bleiben 
 for(int i = 0; i < 300; i++){
   hindernis[i] = new Hindernis(1000); //auf 1000 gesetzt, da dies die Breite des Fensters ist
 }
}
 
void draw(){
 //wenn man auf den Play-Button bzw. auf den Mond klickt, werden die Regeln angezeigt
 if (gestartet == true) {
   image(foto2, -10, 0, 1000, 650);
   textSize(22.5);
   fill(255);
   text("Hüpfe über alle Hindernisse und erreiche", 165, 310);
   text("in möglichst wenigen Versuchen das Ziel.", 165, 350);
   text("deine Spielfigur:", 120, 420);
   text("Hindernisse:", 412.5, 420);
   text("hüpfen: Klick auf die Leertaste", 215, 490);
   textSize(12.5);
   fill(100, 255, 255);
   text("PRESS ENTER TO START THE GAME", 275, 550);
   rectMode(CENTER);
   strokeWeight(2);
   stroke(0, 255, 225);
   square(335, 405, 35); //wie die Spielfigur aussieht 
   stroke(200);
   fill(175);
   triangle(560, 422.5, 575, 385, 590, 422.5); //Beispiel von Hindernissen
   triangle(600, 422.5, 615, 385, 630, 422.5);
   triangle(632, 422.5, 647, 385, 662, 422.5);
   
   if (keyPressed && key == ENTER) { 
     gestartet2 = true;
     gestartet = false;
   }
 }
 //wenn man auf die Enter-Taste drückt, startet das Spiel
 else if (gestartet2 == true) {
   hintergrund();
   
   //Hindernisse
   for(int i = 0; i < 300; i++){
    hindernis[i].bewegung(4); //die Geschwindigkeit, mit der sich die Hindernisse bewegen
   }
   hindernisseErscheinen(); //lässt die Hindernisse erscheinen (basierend auf dem Timer)
   kollision(); //prüft eine mögliche Kollision der Spielfigur mit einem Hindernis
   
   //Spielfigur
   spieler.anzeige();
   spieler.physik();
  
   timer();
   punkteanzeige(); 
   spielsteuerung();
 }
 else
 {
   image(foto1, 0, -75, 1000, 750);
   if (sqrt(pow(mouseX-865, 2)+ pow(mouseY-220, 2)) < 115 / 2 && mousePressed) {
     gestartet = true;
   }
 }
}

void hintergrund(){ //der Spielhintergrund bzw. die Mondlandschaft
  image(foto3, 0, -75, 1000, 750);
  strokeWeight(3);
  stroke(200);
  fill(175);
  rect(500, 600, 1050, 100);
}

void punkteanzeige(){ //Punkteanzeige
  if(timer > highscore){
    highscore = timer;
  }
  textAlign(CENTER);
  textSize(35);
  fill(255);
  text("Highscore: "+highscore/60, 750, 60); //Anzeige des Highscores
  fill(255);
  textSize(40);
  text(timer/60, 500, 60); //Anzeige der Anzahl der Versuche
}

void spielsteuerung(){ 
  if(timer < 250){
    textAlign(CENTER);
    textSize(35);
    fill(255);
    text("Springen: Leertaste", 220, 60); //wird angezeigt, bis der Timer 250 erreicht, bzw. bis das erste Hindernis auftaucht
  }
  else{ //Anzeige des aktuellen Punktestandes
    textAlign(CENTER);
    textSize(35);
    fill(255);
    text("Anzahl Versuche: "+versuche, 220, 60);
  }
}

void keyPressed(){
  switch(key){ //wenn man die Leertaste drückt, löst dies einen Sprung der Spielfigur aus
  case ' ':
    spieler.sprung();
    break;
  }
}

void timer(){ //Timer für den Punktestands und das Auftauchen von Hindernissen
  timer += 1;
}

void kollision(){ 
  //Kollision mit einem Zacken
  for(int i = 0; i < 300; i++){
    if(spieler.X() > hindernis[i].spitzeX1() && spieler.X() < hindernis[i].spitzeX2()){
      if(spieler.playerY > hindernis[i].spitzeY1() && spieler.playerY < hindernis[i].spitzeY2()){
        delay(1000);
        zuruecksetzen();
      }
    }
    //Kollision mit einem Würfel
    if(spieler.X() > hindernis[i].wuerfelX1() && spieler.X() < hindernis[i].wuerfelX2()){
      //wenn die Spielfigur die Vorderseite eines Würfels berührt
      if(spieler.playerY > hindernis[i].wuerfelY1() && spieler.playerY < hindernis[i].wuerfelY2()){
        delay(1000);
        zuruecksetzen();
      }
      if(spieler.Y() < hindernis[i].wuerfelY1()){ //wenn die Spielfigur die Oberseite eines Würfels berührt
        spieler.startY = hindernis[i].wuerfelY1()-26;
      }
    }
    if(spieler.X() > hindernis[i].wuerfelX2() && !hindernis[i].ignorieren){
      spieler.startY = 524;
      hindernis[i].ignorieren(); //setzt ignorieren auf true
    }
  }
}

void spielende(){
  //der Hintergrund wird von einem Rechteck verdeckt, dessen "Durchsichtigkeit" langlam abnimmt
  noStroke();
  fill(0, 0, 0, fade);
  rectMode(CENTER);
  rect(500, 300, 1000, 600);
  fade += 1;
  //Textanzeige, dass man gewonnen hat
  textAlign(CENTER);
  textSize(100);
  fill(random(255), random(255), random(255));
  text("You Win!", 500, 300);
}

void zuruecksetzen(){ //Zurücksetzen des Spieles auf den Anfang
  timer = 0; //setzt den Timer zurück
  //setzt die Hindernisse zurück
  for(int i = 0; i < 300; i++){
    hindernis[i] = new Hindernis(1000);
  }
  spieler.startY = 524;
  versuche += 1; //erhöht die Anzahl der Versuche
  fade = 0;
}

void hindernisseErscheinen(){ //erzeugt die Hindernisse basierend auf dem Timer
//die Zeiten wurden mit Chat GPT zufällig generiert
  if(timer > 150){
    hindernis[1].spitze(550);
  }
  if(timer > 250){
    hindernis[2].spitze(550);
  }
  if(timer > 350){
    hindernis[3].spitze(550);
  }
  if(timer > 450){
    hindernis[4].spitze(550);
  }
  if(timer > 525){
    hindernis[5].spitze(550);
  }
  if(timer > 600){
    hindernis[6].spitze(550);
  }
  //      //      //      (600 = 10 Punkte)      //      //      //
  if(timer > 675){
    hindernis[7].spitze(550);
  }
  if(timer > 682){
    hindernis[8].spitze(550);
  }
  if(timer > 750){
    hindernis[1].wuerfel(525);
  }
  if(timer > 780){
    hindernis[2].wuerfel(475);
  }
  if(timer > 810){
    hindernis[3].wuerfel(425);
  }
  if(timer > 845){
    hindernis[4].wuerfel(375);
  }
  if(timer > 850){
    hindernis[9].spitze(550);
  }
  if(timer > 858){
    hindernis[10].spitze(550);
  }
  if(timer > 866){
    hindernis[11].spitze(550);
  }
  if(timer > 874){
    hindernis[12].spitze(550);
  }
  if(timer > 880){
    hindernis[5].wuerfel(375);
  }
  if(timer > 882){
    hindernis[13].spitze(550);
  }
  if(timer > 930){ 
    hindernis[6].wuerfel(375);
  }
  if(timer > 965){
    hindernis[14].spitze(550);
  }
  if(timer > 1005){
    hindernis[15].spitze(550);
  }
  if(timer > 1080){ 
    hindernis[7].wuerfel(525);
  }
  if(timer > 1120){ 
    hindernis[8].wuerfel(475);
  }
  if(timer > 1160){ 
    hindernis[9].wuerfel(525);
  }
  if(timer > 1200){ 
    hindernis[10].wuerfel(475);
  }
  //      //      //      (1200 = 20 Punkte)      //      //      //
 if(timer > 1240){ 
    hindernis[11].wuerfel(525);
  }
  if(timer > 1276){ 
    hindernis[16].spitze(450);
  }
  if(timer > 1280){ 
    hindernis[12].wuerfel(475);
  }
  if(timer > 1330){ 
    hindernis[13].wuerfel(525);
  }
  if(timer > 1338){
    hindernis[17].spitze(550);
  }
  if(timer > 1346){
    hindernis[18].spitze(550);
  }
  if(timer > 1354){
    hindernis[19].spitze(550);
  }
  if(timer > 1362){
    hindernis[20].spitze(550);
  }
  if(timer > 1450){ 
    hindernis[14].wuerfel(525);
  }
  if(timer > 1500){ 
    hindernis[15].wuerfel(475);
  }
  if(timer > 1524){ 
    hindernis[16].wuerfel(525);
  }
  if(timer > 1572){
    hindernis[21].spitze(550);
  }
  if(timer > 1650){
    hindernis[22].spitze(550);
  }
  if(timer > 1658){
    hindernis[23].spitze(550);
  }
  if(timer > 1690){
    hindernis[24].spitze(550);
  }
  if(timer > 1698){
    hindernis[25].spitze(550);
  }
  if(timer > 1730){
    hindernis[26].spitze(550);
  }
  if(timer > 1738){
    hindernis[27].spitze(550);
  }
  if(timer > 1775){
    hindernis[28].spitze(550);
  }
  //      //      //      (1800 = 30 Punkte)      //      //      //
  if(timer > 1830){
    hindernis[29].spitze(550);
  }
  if(timer > 1838){
    hindernis[30].spitze(550);
  }
  if(timer > 1870){
    hindernis[31].spitze(550);
  }
  if(timer > 1878){
    hindernis[32].spitze(550);
  }
  if(timer > 1940){
    hindernis[33].spitze(550);
  }
  if(timer > 2000){
    hindernis[34].spitze(550);
  }
  if(timer > 2008){
    hindernis[35].spitze(550);
  }
  if(timer > 2040){
    hindernis[36].spitze(550);
  }
  if(timer > 2048){
    hindernis[37].spitze(550);
  }
  if(timer > 2080){
    hindernis[38].spitze(550);
  }
  if(timer > 2088){
    hindernis[39].spitze(550);
  }
  if(timer > 2160){ 
    hindernis[17].wuerfel(525);
  }
  if(timer > 2200){ 
    hindernis[18].wuerfel(475);
  }
  if(timer > 2220){
    hindernis[40].spitze(500);
    hindernis[41].spitze(550);
  }
  if(timer > 2240){ 
    hindernis[19].wuerfel(475);
  }
  if(timer > 2275){ 
    hindernis[20].wuerfel(425);
  }
  if(timer > 2310){ 
    hindernis[21].wuerfel(375);
  }
  if(timer > 2345){ 
    hindernis[22].wuerfel(325);
  }
  if(timer > 2365){ 
    hindernis[23].wuerfel(375);
  }
  if(timer > 2400){ 
    hindernis[24].wuerfel(325);
  }
  //      //      //      (2400 = 40 Punkte)      //      //      //
  if(timer > 2414){ 
    hindernis[42].spitze(550);
  }
  if(timer > 2422){ 
    hindernis[43].spitze(550);
  }
  if(timer > 2430){ 
    hindernis[44].spitze(550);
  }
  if(timer > 2438){ 
    hindernis[45].spitze(550);
  }
  if(timer > 2550){ 
    hindernis[25].wuerfel(525);
  }
  if(timer > 2590){ 
    hindernis[26].wuerfel(475);
  }
  if(timer > 2630){ 
    hindernis[27].wuerfel(525);
  }
  if(timer > 2670){ 
    hindernis[28].wuerfel(475);
  }
  if(timer > 2706){ 
    hindernis[46].spitze(550);
  }
  if(timer > 2714){ 
    hindernis[47].spitze(550);
  }
  if(timer > 2760){ 
    hindernis[29].wuerfel(525);
  }
  if(timer > 2800){ 
    hindernis[30].wuerfel(475);
  }
  if(timer > 2840){ 
    hindernis[31].wuerfel(525);
  }
  if(timer > 2880){ 
    hindernis[32].wuerfel(475);
  }
  if(timer > 2916){ 
    hindernis[48].spitze(550);
  }
  if(timer > 2924){ 
    hindernis[49].spitze(550);
  }
  if(timer > 2970){ 
    hindernis[33].wuerfel(525);
  }
  //      //      //      (3000 = 50 Punkte)      //      //      //
  if(timer > 3010){ 
    hindernis[34].wuerfel(475);
  }
  if(timer > 3050){ 
    hindernis[35].wuerfel(525);
  }
  if(timer > 3090){ 
    hindernis[36].wuerfel(475);
  }
  if(timer > 3125){ 
    hindernis[37].wuerfel(425);
  }
  if(timer > 3130){ 
    hindernis[50].spitze(550);
  }
  if(timer > 3138){ 
    hindernis[51].spitze(550);
  }
  if(timer > 3146){ 
    hindernis[52].spitze(550);
  }
  if(timer > 3154){ 
    hindernis[53].spitze(550);
  }
  if(timer > 3160){ 
    hindernis[38].wuerfel(375);
  }
  if(timer > 3210){ 
    hindernis[54].spitze(550);
  }
  if(timer > 3250){ 
    hindernis[55].spitze(550);
  }
  if(timer > 3258){ 
    hindernis[56].spitze(550);
  }
  if(timer > 3274){ 
    hindernis[39].wuerfel(525);
  }
  if(timer > 3282){ 
    hindernis[57].spitze(550);
  }
  if(timer > 3290){ 
    hindernis[58].spitze(550);
  }
  if(timer > 3350){ 
    hindernis[59].spitze(550);
  }
  if(timer > 3358){ 
    hindernis[60].spitze(550);
  }
  if(timer > 3374){ 
    hindernis[40].wuerfel(525);
  }
  if(timer > 3382){ 
    hindernis[61].spitze(550);
  }
  if(timer > 3390){ 
    hindernis[62].spitze(550);
  }
  if(timer > 3450){ 
    hindernis[63].spitze(550);
  }
  if(timer > 3458){ 
    hindernis[64].spitze(550);
  }
  if(timer > 3474){ 
    hindernis[41].wuerfel(525);
  }
  if(timer > 3482){ 
    hindernis[65].spitze(550);
  }
  if(timer > 3490){ 
    hindernis[66].spitze(550);
  }
  if(timer > 3540){ 
    hindernis[67].spitze(550);
  }
  if(timer > 3548){ 
    hindernis[68].spitze(550);
  }
  if(timer > 3564){ 
    hindernis[42].wuerfel(525);
  }
  if(timer > 3572){ 
    hindernis[69].spitze(550);
  }
  if(timer > 3580){ 
    hindernis[70].spitze(550);
  }
  //      //      //      (3600 = 60 Punkte)      //      //      //
  if(timer > 3650){ 
    hindernis[43].wuerfel(525);
  }
  if(timer > 3690){ 
    hindernis[44].wuerfel(475);
  }
  if(timer > 3725){ 
    hindernis[45].wuerfel(425);
  }
  if(timer > 3760){ 
    hindernis[46].wuerfel(375);
  }
  if(timer > 3795){ 
    hindernis[47].wuerfel(325);
  }  
  if(timer > 3830){ 
    hindernis[48].wuerfel(275);
  }
  if(timer > 3838){ 
    hindernis[71].spitze(550);
  }
  if(timer > 3846){ 
    hindernis[72].spitze(550);
  }
  if(timer > 3854){ 
    hindernis[73].spitze(550);
  }
  if(timer > 3862){ 
    hindernis[74].spitze(550);
  }
  if(timer > 4000){ 
    hindernis[49].wuerfel(525);
  }
  if(timer > 4040){ 
    hindernis[50].wuerfel(475);
  }
  if(timer > 4075){ 
    hindernis[51].wuerfel(425);
  }
  if(timer > 4110){ 
    hindernis[52].wuerfel(375);
  }
  if(timer > 4145){ 
    hindernis[53].wuerfel(325);
  }  
  if(timer > 4180){ 
    hindernis[54].wuerfel(275);
  }
  if(timer > 4188){ 
    hindernis[75].spitze(550);
  }
  if(timer > 4196){ 
    hindernis[76].spitze(550);
  }
  //      //      //      (4200 = 70 Punkte)      //      //      //
  if(timer > 4204){ 
    hindernis[77].spitze(550);
  }
  if(timer > 4212){ 
    hindernis[78].spitze(550);
  }
  if(timer > 4300){ 
    hindernis[55].wuerfel(525);
  }
  if(timer > 4340){ 
    hindernis[56].wuerfel(475);
  }
  if(timer > 4375){ 
    hindernis[57].wuerfel(425);
  }
  if(timer > 4410){ 
    hindernis[58].wuerfel(375);
  }
  if(timer > 4445){ 
    hindernis[59].wuerfel(325);
  }  
  if(timer > 4480){ 
    hindernis[60].wuerfel(275);
  }
  if(timer > 4488){ 
    hindernis[79].spitze(550);
  }
  if(timer > 4496){ 
    hindernis[80].spitze(550);
  }
  if(timer > 4504){ 
    hindernis[81].spitze(550);
  }
  if(timer > 4512){ 
    hindernis[82].spitze(550);
  }
  if(timer > 4600){ 
    hindernis[83].spitze(550);
  }
  if(timer > 4650){ 
    hindernis[84].spitze(500);
  }
  if(timer > 4700){ 
    hindernis[85].spitze(550);
  }
  if(timer > 4750){ 
    hindernis[86].spitze(515);
    hindernis[87].spitze(550);
  }
  if(timer > 4800){ 
    hindernis[88].spitze(550);
  }
  //      //      //      (4800 = 80 Punkte)      //      //      //
  if(timer > 4850){ 
    hindernis[89].spitze(500);
  }
  if(timer > 4900){ 
    hindernis[90].spitze(550);
  }
  if(timer > 4950){ 
    hindernis[91].spitze(515);
    hindernis[92].spitze(550);
  }
  if(timer > 5000){ 
    hindernis[93].spitze(550);
  }
  if(timer > 5008){ 
    hindernis[94].spitze(550);
  }
  if(timer > 5046){ 
    hindernis[95].spitze(550);
  }
  if(timer > 5100){ 
    hindernis[96].spitze(515);
    hindernis[97].spitze(550);
  }
  if(timer > 5170){ 
    hindernis[98].spitze(515);
    hindernis[99].spitze(550);
  }
  if(timer > 5230){ 
    hindernis[100].spitze(515);
    hindernis[101].spitze(550);
  }
  if(timer > 5280){ 
    hindernis[102].spitze(515);
    hindernis[103].spitze(550);
  }
  if(timer > 5330){ 
    hindernis[104].spitze(515);
    hindernis[105].spitze(550);
  }
  if(timer > 5380){ 
    hindernis[106].spitze(515);
    hindernis[107].spitze(550);
  }
  //      //      //      (5400 = 90 Punkte)      //      //      //
  if(timer > 5500){
    hindernis[61].wuerfel(525);
  }
  if(timer > 5540){
    hindernis[62].wuerfel(475);
  }
  if(timer > 5575){
    hindernis[63].wuerfel(425);
  }
  if(timer > 5605){
    hindernis[64].wuerfel(375);
  }
  if(timer > 5625){
    hindernis[65].wuerfel(425);
  }
  if(timer > 5640){ 
    hindernis[108].spitze(550);
  }
  if(timer > 5648){ 
    hindernis[109].spitze(400);
    hindernis[110].spitze(550);
  }
  if(timer > 5656){ 
    hindernis[111].spitze(400);
    hindernis[112].spitze(550);
  }
  if(timer > 5750){
    hindernis[66].wuerfel(525);
  }
  if(timer > 5790){
    hindernis[67].wuerfel(475);
  }
  if(timer > 5825){
    hindernis[68].wuerfel(425);
  }
  if(timer > 5860){
    hindernis[69].wuerfel(375);
  }
  if(timer > 5860){ 
    hindernis[113].spitze(515);
    hindernis[114].spitze(550);
  }
  if(timer > 5876){ 
    hindernis[115].spitze(515);
    hindernis[116].spitze(550);
  }
  if(timer > 5950){
    hindernis[70].wuerfel(525);
  }
  if(timer > 5990){
    hindernis[71].wuerfel(475);
  }
  //      //      //      (6000 = 100 Punkte)      //      //      //
  if(timer > 6025){
    hindernis[72].wuerfel(425);
    hindernis[117].spitze(550);
  }
  if(timer > 6060){
    hindernis[73].wuerfel(375);
  }
  if(timer > 6068){ 
    hindernis[118].spitze(350);
  }
  if(timer > 6076){ 
    hindernis[119].spitze(350);
  }
  if(timer > 6084){ 
    hindernis[120].spitze(350);
  }
  if(timer > 6092){ 
    hindernis[121].spitze(350);
  }
  if(timer > 6200){
    hindernis[74].wuerfel(525);
  }
  if(timer > 6240){
    hindernis[75].wuerfel(475);
  }
  if(timer > 6275){
    hindernis[76].wuerfel(425);
  }
  if(timer > 6310){
    hindernis[77].wuerfel(375);
  }
  if(timer > 6318){ 
    hindernis[122].spitze(350);
  }
  if(timer > 6326){ 
    hindernis[123].spitze(350);
  }
  if(timer > 6334){ 
    hindernis[124].spitze(350);
  }
  if(timer > 6342){ 
    hindernis[125].spitze(350);
  }
  if(timer > 6450){
    hindernis[78].wuerfel(525);
  }
  if(timer > 6490){
    hindernis[79].wuerfel(475);
  }
  if(timer > 6525){
    hindernis[80].wuerfel(425);
  }
  if(timer > 6560){
    hindernis[81].wuerfel(375);
  }
  if(timer > 6560){ 
    hindernis[126].spitze(515);
    hindernis[127].spitze(550);
  }
  if(timer > 6576){ 
    hindernis[128].spitze(515);
    hindernis[129].spitze(550);
  }
  //      //      //      (6600 = 110 Punkte)      //      //      //
  if(timer > 6700){ 
    hindernis[82].wuerfel(525);
  }
  if(timer > 6740){ 
    hindernis[83].wuerfel(475);
  }
  if(timer > 6775){ 
    hindernis[84].wuerfel(425);
  }
  if(timer > 6791){ 
    hindernis[130].spitze(400);
  }
  if(timer > 6799){ 
    hindernis[131].spitze(400);
  }
  if(timer > 6820){ 
    hindernis[85].wuerfel(425);
  }
  if(timer > 6836){ 
    hindernis[132].spitze(400);
  }
  if(timer > 6844){ 
    hindernis[133].spitze(400);
  }
  if(timer > 6865){ 
    hindernis[86].wuerfel(425);
  }
  if(timer > 6881){ 
    hindernis[134].spitze(400);
  }
  if(timer > 6889){ 
    hindernis[135].spitze(400);
  }
  if(timer > 6910){ 
    hindernis[87].wuerfel(425);
  }
  if(timer > 6945){ 
    hindernis[88].wuerfel(375);
  }
  if(timer > 6980){ 
    hindernis[89].wuerfel(325);
  }
  if(timer > 6996){ 
    hindernis[136].spitze(300);
  }
  if(timer > 7004){ 
    hindernis[137].spitze(300);
  }
  if(timer > 7025){ 
    hindernis[90].wuerfel(325);
  }
  if(timer > 7041){ 
    hindernis[138].spitze(300);
  }
  if(timer > 7049){ 
    hindernis[139].spitze(300);
  }
  if(timer > 7070){ 
    hindernis[91].wuerfel(325);
  }
  if(timer > 7086){ 
    hindernis[140].spitze(300);
  }
  if(timer > 7094){ 
    hindernis[141].spitze(300);
  }
  if(timer > 7115){ 
    hindernis[92].wuerfel(325);
  }
  if(timer > 7135){ 
    hindernis[93].wuerfel(375);
  }
  if(timer > 7155){ 
    hindernis[94].wuerfel(425);
  }
  if(timer > 7175){ 
    hindernis[95].wuerfel(475);
  }
  if(timer > 7191){ 
    hindernis[142].spitze(450);
  }
  if(timer > 7199){ 
    hindernis[143].spitze(450);
  }
  //      //      //      (7200 = 120 Punkte)      //      //      //
  if(timer > 7220){ 
    hindernis[96].wuerfel(475);
  }
  if(timer > 7236){ 
    hindernis[144].spitze(450);
  }
  if(timer > 7244){ 
    hindernis[145].spitze(450);
  }
  if(timer > 7265){ 
    hindernis[97].wuerfel(475);
  }
  if(timer > 7281){ 
    hindernis[146].spitze(450);
    hindernis[147].spitze(550);
  }
  if(timer > 7289){ 
    hindernis[148].spitze(450);
    hindernis[149].spitze(550);
  }
  if(timer > 7310){ 
    hindernis[98].wuerfel(475);
  }
  if(timer > 7335){ 
    hindernis[99].wuerfel(525);
  }
  if(timer > 7380){ 
    hindernis[150].spitze(550);
  }
  if(timer > 7388){ 
    hindernis[151].spitze(550);
  }
  if(timer > 7433){ 
    hindernis[152].spitze(550);
  }
  if(timer > 7441){ 
    hindernis[153].spitze(550);
  }
  if(timer > 7536){ 
    hindernis[154].spitze(550);
  }
  if(timer > 7550){ 
    hindernis[100].wuerfel(525);
  }
  if(timer > 7571){ 
    hindernis[155].spitze(500);
  }
  if(timer > 7585){ 
    hindernis[101].wuerfel(475);
  }
  if(timer > 7606){ 
    hindernis[156].spitze(450);
  }
  if(timer > 7620){ 
    hindernis[102].wuerfel(425);
  }
  if(timer > 7641){ 
    hindernis[157].spitze(400);
  }
  if(timer > 7655){ 
    hindernis[103].wuerfel(375);
  }
  if(timer > 7680){ 
    hindernis[104].wuerfel(425);
  }
  if(timer > 7715){ 
    hindernis[105].wuerfel(375);
  }
  if(timer > 7750){ 
    hindernis[106].wuerfel(325);
  }
  if(timer > 7775){ 
    hindernis[107].wuerfel(375);
  }
  //      //      //      (7800 = 130 Punkte)      //      //      //
  if(timer > 7810){ 
    hindernis[108].wuerfel(325);
  }
  if(timer > 7835){ 
    hindernis[109].wuerfel(375);
  }
  if(timer > 7860){ 
    hindernis[110].wuerfel(425);
    hindernis[158].spitze(550);
  }
  if(timer > 7868){ 
    hindernis[159].spitze(550);
  }
  if(timer > 7885){ 
    hindernis[111].wuerfel(475);
  }
  if(timer > 7910){ 
    hindernis[112].wuerfel(525);
  }
  if(timer > 7945){ 
    hindernis[113].wuerfel(475);
  }
  if(timer > 7970){ 
    hindernis[114].wuerfel(525);
  }
  if(timer > 8005){ 
    hindernis[115].wuerfel(475);
  }
  if(timer > 8040){ 
    hindernis[116].wuerfel(425);
  }
  if(timer > 8065){ 
    hindernis[117].wuerfel(475);
  }
  if(timer > 8100){ 
    hindernis[118].wuerfel(425);
  }
  if(timer > 8135){ 
    hindernis[119].wuerfel(375);
  }
  if(timer > 8160){ 
    hindernis[120].wuerfel(425);
  }
  if(timer > 8195){ 
    hindernis[121].wuerfel(375);
  }
  if(timer > 8220){ 
    hindernis[122].wuerfel(425);
  }
  if(timer > 8255){ 
    hindernis[123].wuerfel(375);
  }
  if(timer > 8290){ 
    hindernis[124].wuerfel(325);
  }
  if(timer > 8315){ 
    hindernis[125].wuerfel(375);
  }
  if(timer > 8350){ 
    hindernis[126].wuerfel(325);
  }
  if(timer > 8375){ 
    hindernis[127].wuerfel(375);
  }
  if(timer > 8400){ 
    hindernis[128].wuerfel(425);
  }
  //      //      //      (8400 = 140 Punkte)      //      //      //
  if(timer > 8408){ 
    hindernis[160].spitze(550);
  }
  if(timer > 8416){ 
    hindernis[161].spitze(550);
  }
  if(timer > 8424){ 
    hindernis[162].spitze(550);
  }
  if(timer > 8432){ 
    hindernis[163].spitze(550);
  }
  if(timer > 8445){ 
    hindernis[129].wuerfel(425);
  }
  if(timer > 8470){ 
    hindernis[130].wuerfel(475);
  }
  if(timer > 8495){ 
    hindernis[131].wuerfel(525);
  }
  if(timer > 8600){ 
    hindernis[132].wuerfel(525);
  }
  if(timer > 8640){ 
    hindernis[133].wuerfel(475);
  }
  if(timer > 8648){ 
    hindernis[164].spitze(450);
  }
  if(timer > 8656){ 
    hindernis[165].spitze(450);
  }
  if(timer > 8664){ 
    hindernis[166].spitze(450);
  }
  if(timer > 8750){ 
    hindernis[134].wuerfel(525);
  }
  if(timer > 8790){ 
    hindernis[135].wuerfel(475);
  }
  if(timer > 8798){ 
    hindernis[167].spitze(550);
  }
  if(timer > 8806){ 
    hindernis[168].spitze(550);
  }
  if(timer > 8814){ 
    hindernis[169].spitze(550);
  }
  if(timer > 8900){ 
    hindernis[136].wuerfel(525);
  }
  if(timer > 8940){ 
    hindernis[137].wuerfel(475);
  }
  if(timer > 8948){ 
    hindernis[170].spitze(550);
  }
  if(timer > 8956){ 
    hindernis[171].spitze(550);
  }
  if(timer > 8964){ 
    hindernis[172].spitze(550);
  }
  //      //      //      (9000 = 150 Punkte)      //      //      //
  if(timer > 9050){ 
    hindernis[138].wuerfel(525);
  }
  if(timer > 9058){ 
    hindernis[173].spitze(550);
  }
  if(timer > 9066){ 
    hindernis[174].spitze(550);
  }
  if(timer > 9074){ 
    hindernis[175].spitze(550);
  }
  if(timer > 9090){ 
    hindernis[139].wuerfel(525);
  }
  if(timer > 9130){ 
    hindernis[140].wuerfel(475);
  }
  if(timer > 9165){ 
    hindernis[141].wuerfel(425);
  }
  if(timer > 9205){ 
    hindernis[142].wuerfel(425);
  }
  if(timer > 9230){ 
    hindernis[143].wuerfel(475);
  }
  if(timer > 9275){ 
    hindernis[144].wuerfel(475);
  }
  if(timer > 9305){ 
    hindernis[145].wuerfel(425);
  }
  if(timer > 9340){ 
    hindernis[146].wuerfel(375);
  }
  if(timer > 9385){ 
    hindernis[147].wuerfel(375);
  }
  if(timer > 9410){ 
    hindernis[148].wuerfel(425);
  }
  if(timer > 9455){ 
    hindernis[149].wuerfel(425);
  }
  if(timer > 9490){ 
    hindernis[150].wuerfel(375);
  }
  if(timer > 9535){ 
    hindernis[151].wuerfel(375);
  }
  if(timer > 9560){ 
    hindernis[152].wuerfel(425);
  }
  if(timer > 9560){ 
    hindernis[176].spitze(550);
  }
  if(timer > 9568){ 
    hindernis[177].spitze(550);
  }
  if(timer > 9585){ 
    hindernis[153].wuerfel(475);
  }
  if(timer > 9610){ 
    hindernis[154].wuerfel(525);
  }
  //      //      //      (9600 = 160 Punkte)      //      //      //
  if(timer > 9655){ 
    hindernis[155].wuerfel(525);
  }
  if(timer > 9690){ 
    hindernis[156].wuerfel(475);
  }
  if(timer > 9725){ 
    hindernis[157].wuerfel(425);
  }
  if(timer > 9760){ 
    hindernis[158].wuerfel(375);
  }
  if(timer > 9795){ 
    hindernis[159].wuerfel(325);
  }
  if(timer > 9830){ 
    hindernis[160].wuerfel(275);
  }
  if(timer > 9865){ 
    hindernis[161].wuerfel(225);
  }
  if(timer > 9900){ 
    hindernis[162].wuerfel(175);
  }
  if(timer > 9960){ 
    hindernis[163].wuerfel(475);
  }
  if(timer > 9985){ 
    hindernis[164].wuerfel(525);
  }
  if(timer > 9990){ 
    hindernis[165].wuerfel(425);
  }
  if(timer > 9993){ 
    hindernis[178].spitze(550);
  }
  if(timer > 10001){ 
    hindernis[179].spitze(550);
  }
  if(timer > 10035){ 
    hindernis[166].wuerfel(425);
  }
  if(timer > 10070){ 
    hindernis[167].wuerfel(375);
  }
  if(timer > 10105){ 
    hindernis[168].wuerfel(325);
  }
  if(timer > 10130){ 
    hindernis[169].wuerfel(375);
  }
  if(timer > 10165){ 
    hindernis[170].wuerfel(325);
  }
  if(timer > 10190){ 
    hindernis[171].wuerfel(375);
  }
  //      //      //      (10200 = 170 Punkte)      //      //      //
  if(timer > 10235){ 
    hindernis[172].wuerfel(325);
  }
  if(timer > 10260){ 
    hindernis[173].wuerfel(375);
  }
  if(timer > 10305){ 
    hindernis[174].wuerfel(325);
  }
  if(timer > 10330){ 
    hindernis[175].wuerfel(375);
  }
  if(timer > 10355){ 
    hindernis[176].wuerfel(425);
  }
  if(timer > 10363){ 
    hindernis[180].spitze(550);
  }
  if(timer > 10371){ 
    hindernis[181].spitze(550);
  }
  if(timer > 10380){ 
    hindernis[177].wuerfel(475);
  }
  if(timer > 10425){ 
    hindernis[178].wuerfel(475);
  }
  if(timer > 10470){ 
    hindernis[179].wuerfel(475);
  }
  if(timer > 10495){ 
    hindernis[180].wuerfel(525);
  }
  if(timer > 10600){ 
    hindernis[181].wuerfel(525);
  }
  if(timer > 10635){ 
    hindernis[182].wuerfel(475);
  }
  if(timer > 10670){ 
    hindernis[183].wuerfel(425);
  }
  if(timer > 10705){ 
    hindernis[184].wuerfel(375);
  }
  if(timer > 10740){ 
    hindernis[185].wuerfel(325);
  }
  if(timer > 10775){ 
    hindernis[186].wuerfel(275);
  }
  //      //      //      (10800 = 180 Punkte)      //      //      //
  if(timer > 10810){ 
    hindernis[187].wuerfel(225);
  }
  if(timer > 10845){ 
    hindernis[188].wuerfel(175);
  }
  if(timer > 10870){ 
    hindernis[189].wuerfel(225);
  }
  if(timer > 10895){ 
    hindernis[190].wuerfel(275);
  }
  if(timer > 10920){ 
    hindernis[191].wuerfel(325);
  }
  if(timer > 10945){ 
    hindernis[192].wuerfel(375);
  }
  if(timer > 10970){ 
    hindernis[193].wuerfel(425);
  }
  if(timer > 10995){ 
    hindernis[194].wuerfel(475);
  }
  if(timer > 11020){ 
    hindernis[195].wuerfel(525);
  }
  if(timer > 11100){ 
    hindernis[182].spitze(550);
  }
  if(timer > 11116){ 
    hindernis[183].spitze(450);
  }
  if(timer > 11132){ 
    hindernis[184].spitze(350);
  }
  if(timer > 11150){ 
    hindernis[196].wuerfel(525);
    hindernis[185].spitze(300);
  }
  if(timer > 11166){ 
    hindernis[186].spitze(350);
  }
  if(timer > 11184){ 
    hindernis[187].spitze(450);
  }
  if(timer > 11200){ 
    hindernis[188].spitze(550);
  }
  if(timer > 11350){ 
    hindernis[197].wuerfel(525);
  }
  if(timer > 11385){ 
    hindernis[198].wuerfel(475);
  }
  //      //      //      (11400 = 190 Punkte)      //      //      //
  if(timer > 11420){ 
    hindernis[199].wuerfel(425);
  }
  if(timer > 11455){ 
    hindernis[200].wuerfel(375);
  }
  if(timer > 11490){ 
    hindernis[201].wuerfel(325);
  }
  if(timer > 11525){ 
    hindernis[202].wuerfel(275);
  }
  if(timer > 11560){ 
    hindernis[203].wuerfel(225);
  }
  if(timer > 11595){ 
    hindernis[204].wuerfel(175);
  }
  if(timer > 11620){ 
    hindernis[205].wuerfel(225);
  }
  if(timer > 11645){ 
    hindernis[206].wuerfel(275);
  }
  if(timer > 11670){ 
    hindernis[207].wuerfel(325);
  }
  if(timer > 11695){ 
    hindernis[208].wuerfel(375);
  }
  if(timer > 11720){ 
    hindernis[209].wuerfel(425);
  }
  if(timer > 11745){ 
    hindernis[210].wuerfel(475);
  }
  if(timer > 11770){ 
    hindernis[211].wuerfel(525);
  }
  //===============(END)===============
  if(timer > 11800){ //Spielende
    spielende();
  }
  //      //      //      (12000 = 200 Punkte)      //      //      //
}
